zoukankan      html  css  js  c++  java
  • NX二次开发-UFUN创建固定的基准平面UF_MODL_create_fixed_dplane

     1     NX11+VS2013
     2     
     3     #include <uf.h>
     4     #include <uf_modl.h>
     5 
     6     UF_initialize();
     7 
     8     //创建块
     9     UF_FEATURE_SIGN Sign = UF_NULLSIGN;
    10     double Corner_Pt[3] = {0.0, 0.0, 0.0};
    11     char *Edge_Len[3] = {"100", "200", "100"};
    12     tag_t BlkTag = NULL_TAG;
    13     UF_MODL_create_block1(Sign, Corner_Pt, Edge_Len, &BlkTag);
    14 
    15     //特征找体
    16     tag_t BodyTag = NULL_TAG;
    17     UF_MODL_ask_feat_body(BlkTag, &BodyTag);
    18 
    19     //创建固定的基准平面
    20     double Origin_Point[3] = {500.0, 500.0, 500.0};
    21     double Plane_Normal[3] = {0.0, 0.0, 1.0};
    22     tag_t Plane_Tag = NULL_TAG;
    23     UF_MODL_create_fixed_dplane(Origin_Point, Plane_Normal, &Plane_Tag);
    24 
    25     //创建镜像体
    26     tag_t Mirrored_Body = NULL_TAG;
    27     UF_MODL_create_mirror_body(BodyTag, Plane_Tag, &Mirrored_Body);
    28 
    29     UF_terminate();

  • 相关阅读:
    Selenium库的使用
    Win10 常用快捷键
    503.下一个更大元素 II
    456.132模式
    201.数字范围按位与
    78.子集
    299.猜数字游戏
    49.字母异位词分组
    36.有效的数独
    290.单词规律
  • 原文地址:https://www.cnblogs.com/nxopen2018/p/10975818.html
Copyright © 2011-2022 走看看